<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/gravatar/class/view/plugingravatarconfigview.class.php" );		

	/**
	 * shows a form with the current configuration
	 */
	class PluginGravatarConfigAction extends AdminAction
	{
		
		function PluginGravatarConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginGravatarConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>